# clear cache and close windows
rm(list=ls(all=TRUE))
graphics.off()

install.packages("qrLMM")
library(qrLMM)

## Asymmetric Laplace Distribution

par(mar=c(6,5,5,5))
par(mfrow=c(1,2))

## Plot ALD a few for slides
# PDF
xx = seq(-4,4,0.5)
plot(xx, dALD(y=xx,mu=0,sigma=1,p=0.5),type="l",ylab="density",xlab="X",col="black",lwd=3,ylim=c(-0.01,0.3))
lines(xx, dALD(y=xx,mu=0,sigma=1,p=0.7),type="l",col="blue",lwd=3)
lines(xx, dALD(y=xx,mu=0,sigma=1,p=0.3),type="l",col="red",lwd=3)
lines(xx, dALD(y=xx,mu=0,sigma=1,p=0.1),type="l",col="green",lwd=3)
legend(x=2,y=0.3,legend=c("L0.5","L0.7","L0.3","L0.1"),pch=c(20,20),col=c("black","blue","red","green"),bty="n")
title("PDF of Asymmetric Laplace distribution")

# CDF
plot (xx, pALD(q=xx,mu=0,sigma=1,p=0.5),type="l",ylab="distribution",xlab="X",col="black",lwd=3,ylim=c(-0.01,1.1))
lines(xx, pALD(q=xx,mu=0,sigma=1,p=0.7),type="l",col="blue",lwd=3)
lines(xx, pALD(q=xx,mu=0,sigma=1,p=0.3),type="l",col="red",lwd=3)
lines(xx, pALD(q=xx,mu=0,sigma=1,p=0.1),type="l",col="green",lwd=3)
legend(x=2,y=0.7,legend=c("L0.5","L0.7","L0.3","L0.1"),pch=c(20,20),col=c("black","blue","red","green"),bty="n")
title("CDF of Asymmetric Laplace distribution")
